### Method

# Gegl Buffer get_format

#### Declaration [src]

    const Babl*
    gegl_buffer_get_format (
      GeglBuffer* buffer
    )

#### Description [src]

Get the babl format of the buffer, this might not be the format the buffer was originally created with, you need to use gegl_buffer_set_format (buf, NULL); to retrieve the original format (potentially having saved away the original format of the buffer to re-set it.)

This method is not directly available to language bindings.

Gets property | `Gegl.Buffer:format`

#### Return value

Type: `Babl`

The babl format used for storing pixels in the buffer.

The data is owned by the instance.